Subject: [Netconf] Review of draft-ietf-netconf-restconf-notif-11

From: Qin Wu <[email-masked]>
Date: Tue, 8 Jan 2019 05:43:18 +0000

Hi:
I am assigned as acting shepherd to assist Kent to review draft-ietf-netconf-restconf-notif-11
and have the following comments:
1.Clean up configured subscription specific notification such as subscription-modified, subscription-terminated. My impression is subscription-
modified, subscription-terminated as state change notification are only applicable to configured subscription. If the intention is to introduce
notification corresponding to establish-subscription or modify-subscription, separate notification name should be made.
2.Coexist of event stream discovery support
   by querying the "streams" container of ietf-subscribed-
   notification.yang and event stream discovery Support by querying the
   "streams" container of ietf-restconf-monitoring.yang in [RFC8040] should be discussed and
3. Additional text is required to discuss how  the server ensure only said
client accesses the resource via URL in the security consideration section.
4. Run ID nits tool and found 2 errors and 8 warnings as follows:
"
  Checking nits according to https://www.ietf.org/id-info/checklist :
  ----------------------------------------------------------------------------

  ** There are 10 instances of too long lines in the document, the longest
     one being 37 characters in excess of 72.

  Miscellaneous warnings:
  ----------------------------------------------------------------------------

  == The copyright year in the IETF Trust and authors Copyright Line does not
     match the current year

  == Line 206 has weird spacing: '...ription  estab...'

  == Line 225 has weird spacing: '... stream   esta...'

  == Line 228 has weird spacing: '...ription    ret...'

  == Line 230 has weird spacing: '... stream   modi...'

  -- The document date (December 13, 2018) is 25 days in the past.  Is this
     intentional?

  Checking references for intended status: Proposed Standard
  ----------------------------------------------------------------------------

     (See RFCs 3967 and 4897 for information about using normative references
     to lower-maturity documents in RFCs)

  == Unused Reference: 'RFC5277' is defined on line 535, but no explicit
     reference was found in the text

  == Unused Reference: 'RFC7230' is defined on line 559, but no explicit
     reference was found in the text

  == Outdated reference: A later version (-20) exists of
     draft-ietf-netconf-subscribed-notifications-13

  ** Obsolete normative reference: RFC 5246 (Obsoleted by RFC 8446)

"
4. There are 7 errors in YANG validation output.
5. Tree diagram output doesn't show in the section 6.

Note than I have talked with authors on most of these comments. I believe a new version will
Come soon to address these comments.

-Qin

---

From: "Reshad Rahman (rrahman)" <[email-masked]>
Date: Tue, 8 Jan 2019 21:30:13 +0000

Hi Qin,

Thanks for doing the review.

Please see inline <RR>.

From: Qin Wu <[email-masked]>
Date: Tuesday, January 8, 2019 at 12:43 AM
To: "[email-masked]" <[email-masked]>
Cc: Kent Watsen <[email-masked]>, "Reshad Rahman (rrahman)" <[email-masked]>
Subject: Review of draft-ietf-netconf-restconf-notif-11

Hi:
<RR> Based on the discussions between yourself and Eric on netconf-notif (changes being made in 1.3 of SN), is this now closed?

<RR> I’ll add some text which says something along the lines of “If module ietf-restconf-monitoring.yang is also supported, the streams which are in ietf-subscribed-notifications.yang SHOULD also be in ietf-restconf-monitoring.yang.”

3. Additional text is required to discuss how  the server ensure only said
client accesses the resource via URL in the security consideration section.
<RR> I will add some text which explains that the URL is encrypted, and also that user credentials can be used (similar to what is mentioned in section 3.4 wrt credentials required for RPCs modify-subscription etc). This is inline with discussions which occurred during WGLC.

  Miscellaneous warnings:

"
 <RR> Will run ID nits and fix.

4. There are 7 errors in YANG validation output.
<RR> The errors are due to an issue in yanglint which has been fixed in 0.16.69 but datatracker is using 0.14.80. See https://trac.tools.ietf.org/tools/ietfdb/ticket/2667

5. Tree diagram output doesn’t show in the section 6.
<RR> Ack.

Regards,
Reshad.

-Qin